Skip to main content
`Ctrl`+`K`

# VecTaggerSetInvert

If the tagged index sets are based on boxes that can be returned by `VecTaggerComputeBoxes()`, then this option inverts values used to compute the IS, i.e., from being in the union of the boxes to being in the intersection of their exteriors.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecTaggerSetInvert(VecTagger tagger, PetscBool invert)

Logically Collective

## Input Parameters

- tagger - vec tagger

- invert - `PETSC_TRUE` to invert, `PETSC_FALSE` to use the indices as is

## See Also

`VecTaggerComputeIS()`, `VecTaggerGetInvert()`, `VecTagger`, `VecTaggerCreate()`

## Level

advanced

## Location

src/vec/vec/utils/tagger/interface/tagger.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages